Main Page Widgets glibmm Namespaces Book

# markup.h File Reference

## Namespaces
namespace | Glib
namespace | Glib::Markup
## Classes
class | Glib::MarkupError
| Exception class for markup parsing errors. More...
class | Glib::Markup::AttributeKeyLess
| Binary predicate used by Markup::Parser::AttributeMap. More...
class | Glib::Markup::Parser
| The abstract markup parser base class. More...
class | Glib::Markup::ParseContext
| A parse context is used to parse marked-up documents. More...
## Typedefs
typedef Glib::MarkupError | Glib::Markup::Error
## Enumerations
enum | Glib::Markup::ParseFlags { Glib::Markup::DO_NOT_USE_THIS_UNSUPPORTED_FLAG = 1 << 0 }
| Bitwise operators: `ParseFlags operator|(ParseFlags, ParseFlags)` `ParseFlags operator&(ParseFlags, ParseFlags)` `ParseFlags operator^(ParseFlags, ParseFlags)` `ParseFlags operator~(ParseFlags)` `ParseFlags& operator|=(ParseFlags&, ParseFlags)` `ParseFlags& operator&=(ParseFlags&, ParseFlags)` `ParseFlags& operator^=(ParseFlags&, ParseFlags)` More...
## Functions
Glib::ustring | Glib::Markup::escape_text (const Glib::ustring& text)
| Escapes text so that the markup parser will parse it verbatim.
ParseFlags | Glib::Markup::operator| (ParseFlags lhs, ParseFlags rhs)
ParseFlags | Glib::Markup::operator& (ParseFlags lhs, ParseFlags rhs)
ParseFlags | Glib::Markup::operator^ (ParseFlags lhs, ParseFlags rhs)
ParseFlags | Glib::Markup::operator~ (ParseFlags flags)
ParseFlags& | Glib::Markup::operator|= (ParseFlags& lhs, ParseFlags rhs)
ParseFlags& | Glib::Markup::operator&= (ParseFlags& lhs, ParseFlags rhs)
ParseFlags& | Glib::Markup::operator^= (ParseFlags& lhs, ParseFlags rhs)